% Files
%  VEROOTDIR              - Retrieve full path of VE-root directory.
%  accumulateVertically   - Accumulate quantity vertically per column.
%  averageRock            - Average version of rock for use in vertical averaging
%  boundaryFaceIndices    - Retrieve face indices belonging to subset of global outer faces.
%  checkBGL               - Checks if matlab boost graph library is installed.
%  convertwellsVE         - Convert wells in 3D grid G to wells suitable for VE simulations in 2D
%  convertwellsVE_s       - Convert wells in 3D grid G to wells suitable for VE simulations in 2D
%  cumulativeHeight       - Compute cumulative height for each column.
%  cumulativePoreHeight   - Compute cumulative pore height for each column.
%  fillDegree             - Compute degree of fill (saturation).
%  flattenTraps           - Given output res from trapAnalysis, produce a grid with flat top surfaces in trap areas.
%  getSortedCellNodes     - Construct n x 2 table of cell edges with edges oriented the same
%  height2Sat             - Convert from height to saturation
%  initResSolVE           - Wrapper for initResSol which adds any extra properties needed by the
%  initResSolVE_s         - Wrapper for initResSol which adds any extra properties needed by the
%  integrateVertically    - Compute integral of function, vertically per column.
%  invertVerticalFunction - Solve y(z)=f for piecewise linear, monotonically increasing function y.
%  mapAxes                - Transform lateral position from map to local coordinate system
%  migrateInjection       - Process options
%  noflow                 - Trivial helper function. Sets flux to zero and pressure to empty.
%  normalizeValuesVE      - Normalizes values for different VE grids and formulations.
%  plotPanelVE            - Make a panel plot used in the examples of the VE module
%  plotPlume              - Plot CO2 plume on logically Cartesian grid
%  plotVelocityVE         - Plot two-dimensional velocity vectors in solution.
%  sat2height             - Convert from saturation to height
%  userConsent            - userConsent Ask user for his/her consent to a Y/N question
%  volumesVE              - SYNOPSIS:

%{
Copyright 2009, 2010, 2011, 2012, 2013 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
